/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class GetResourceUseInfoHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetResourceUseInfoRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    benefitCodeList?: string[];
    /**
     * @remarks
     * This parameter is required.
     */
    period?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetResourceUseInfoResponseBody extends $tea.Model {
    result?: GetResourceUseInfoResponseBodyResult[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetResourceUseInfoResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetResourceUseInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetResourceUseInfoResponseBodyResult extends $tea.Model {
    quotaNum?: number;
    usedNum?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 获取开放平台当月资源用量
     *
     * @param request - GetResourceUseInfoRequest
     * @param headers - GetResourceUseInfoHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns GetResourceUseInfoResponse
     */
    getResourceUseInfoWithOptions(request: GetResourceUseInfoRequest, headers: GetResourceUseInfoHeaders, runtime: $Util.RuntimeOptions): Promise<GetResourceUseInfoResponse>;
    /**
     * 获取开放平台当月资源用量
     *
     * @param request - GetResourceUseInfoRequest
     * @returns GetResourceUseInfoResponse
     */
    getResourceUseInfo(request: GetResourceUseInfoRequest): Promise<GetResourceUseInfoResponse>;
}
